Package cds.healpix

# Class NestedEllipticalConeComputerApprox

java.lang.Object
cds.healpix.NestedEllipticalConeComputerApprox

public class NestedEllipticalConeComputerApprox extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`NestedEllipticalConeComputerApprox.Mode`

## Constructor Summary

Constructors
Constructor
Description
`NestedEllipticalConeComputerApprox(double aRad, double bRad, double posAngRad, HealpixNested deepHpx)`

## Method Summary

Modifier and Type
Method
Description
`HealpixNestedBMOC`
`overlapping(double ellipseCenterLonRad, double ellipseCenterLatRad, NestedEllipticalConeComputerApprox.Mode mode)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NestedEllipticalConeComputerApprox

public NestedEllipticalConeComputerApprox(double aRad, double bRad, double posAngRad, HealpixNested deepHpx)

Parameters:
  `aRad` - elliptical cone semi-major axis
  `bRad` - elliptical cone semi-minor axis
  `posAngRad` - position angle (east-of-north), in radians
  `deepHpx` - deeper depth healpix nested object

## Method Details

### overlapping

public HealpixNestedBMOC overlapping(double ellipseCenterLonRad, double ellipseCenterLatRad, NestedEllipticalConeComputerApprox.Mode mode)